Apache JMeter

## org.apache.jorphan.math
Class StatCalculatorInteger

    java.lang.Object
      org.apache.jorphan.math.StatCalculator<Integer>
          org.apache.jorphan.math.StatCalculatorInteger

    public class StatCalculatorInteger

extends StatCalculator<Integer>

StatCalculator for Integer values

Constructor Summary
`StatCalculatorInteger()`

Method Summary
`void` `addValue(int val)`
`void` `addValue(int val, int sampleCount)`
`protected Integer` `divide(Integer val, int n)`

Methods inherited from class org.apache.jorphan.math.StatCalculator
`addAll, addBytes, addValue, addValue, clear, getCount, getDistribution, getMax, getMean, getMedian, getMin, getPercentPoint, getPercentPoint, getStandardDeviation, getTotalBytes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatCalculatorInteger

    public StatCalculatorInteger()

Method Detail

### addValue

    public void addValue(int val)

### addValue

    public void addValue(int val,
                         int sampleCount)

### divide

    protected Integer divide(Integer val,
                             int n)

  Specified by:
    `divide` in class `StatCalculator<Integer>`

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.